Customization doesn't work in dialog windows
Status: Closed

Priority: Severe/Regression

Assignee:

Category: Customisation Framework

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16882

Description

Disabling dialog elements doesn't take any effect. I assume it's a regression, please downgrade if it was already broken in 1.8.

Associated revisions

Revision f4300df6 - 2013-06-13 12:29 AM - Radim Blazek

dont translate names in customization tree, fixes #8039

History

#1 - 2013-06-12 06:15 AM - Radim Blazek

Most probably because resources/customization.xml is not updated. I tried with QgsAbout > tabWidget > Widget2 > txtVersion and it works.

Try again once we manage to update customization.xml.

#2 - 2013-06-12 10:06 AM - Borys Jurgiel

It doesn't work for me. I only tested a few dialog windows (none is working) and a few main window toolbar buttons (they all are ok).

#3 - 2013-06-12 12:06 PM - Radim Blazek

I have updated customisation.xml.

No idea why it does not work for you, here it seems to work. Can you give one exact example (full path to widget from customisation dialog)?

#4 - 2013-06-12 12:29 PM - Borys Jurgiel

I got it. It's because of translation. When QGIS is localized, only menus and toolbars work. No dialog, no panel, no status bar element.

But if I run it with --lang=blahblah (fallback to English), I have to disable elements once again (it seems strings change), and then everything works.

#5 - 2013-06-12 03:31 PM - Radim Blazek

- Status changed from Open to Closed
Fixed in changeset commit:"f4300df6f321968839ca4647cc55db0998cc1a43".
